<template>
    <section class="filter-block">
        <div
            class="filter-block__header"
            :class="[trigger ? 'bottom-radius' : '']"
        >
            <div
                class="filter-block__icon"
                :class="[trigger ? 'info' : '']"
            />
            <div class="filter-block__name">{{name}}</div>
            <div
                class="filter-block__arrow"
                :class="[trigger ? 'down' : 'up']"
            />
        </div>
        <div
            v-show="trigger"
            class="filter-block__body"
        >
            <slot/>
        </div>
    </section>
</template>

<script>
export default {
    name: 'filter-block',
    props: {
        name: {
            default: ''
        },
        trigger: {
            type: Boolean,
            default: false
        }
    }
};
</script>

<style scoped lang="sass">
    .filter-block
        margin-bottom: 15px

    .filter-block__header
        width: 100%
        line-height: 50px
        height: 50px
        background: #182d44
        padding: 0 18px
        border-radius: 6px
        display: flex
        align-items: center
        justify-content: space-between

    .filter-block__header.bottom-radius
        border-bottom-left-radius: 0
        border-bottom-right-radius: 0

    .filter-block__icon
        width: 23px
        height: 20px

    .filter-block__icon.info
        background: url(~icons/info.svg) no-repeat

    .filter-block__name
        font-family: 'Exo 2'
        text-transform: uppercase
        font-style: normal
        font-weight: normal
        font-size: 14px

    .filter-block__arrow
        width: 26px
        height: 12px

    .filter-block__arrow.up
        background: url(~icons/blue-arrow.svg) no-repeat

    .filter-block__arrow.down
        background: url(~icons/arrow.svg) no-repeat

    .filter-block__body
        background: #18324E
        padding: 24px
        border-bottom-left-radius: 6px
        border-bottom-right-radius: 6px
</style>
